import axios from 'axios';
import { S } from 'mockjs';


export interface LoginData {
  username: string;
  password: string;
}


export interface jobuser {
  status: string;
  code: number;
  message: string;
  data: {
    jobuser: {
      username: string;         // 账号
      password: string;         // 密码
      time: Date;        // 注册时间
      type: number;             // 累计在线时间
    }[]
  };

}

export interface Black {
  status: string;
  code: number;
  message: string;
  data: {};
}
export interface Refresh {
  status: string;
  code: number;
  data: {
    access_token: string;
    refresh_token: string;
  };
  message: string;
}

export interface ListParams {
  black?: string;
  username?: string;
}
/**
 * 
 * @param data 获取列表
 * @returns 
 */
export function lists() {
  return axios.post<jobuser>('/admin/api/v1/jobuser/lists');
}

/**
 * 
 * @param id 封禁用户
 * @returns 
 */
export function black(id: string) {
  return axios.post<Black>('/admin/api/v1/jobuser/black', { id });
}

/**
 * 
 * @param id 解禁用户
 * @returns 
 */
export function OutBlack(id: string) {
  return axios.post<Black>('/admin/api/v1/jobuser/outblack', { id });
}